New URL for NEMO forge!   http://forge.nemo-ocean.eu

Since March 2022 along with NEMO 4.2 release, the code development moved to a self-hosted GitLab.
This present forge is now archived and remained online for history.
#2367 (HPC-09_epico_Loop_fusion) – NEMO

Opened 3 years ago

Closed 23 months ago

Last modified 10 months ago

#2367 closed Task (fixed)

HPC-09_epico_Loop_fusion

Reported by: epico Owned by: epico
Priority: low Milestone: IMMERSE 2020
Component: DOM Version: trunk
Severity: minor Keywords: 2020 WP HPC IMMERSE
Cc:

Description

This task concerns the use of the 'loop fusion' optimization technique to reduce the cache misses and to improve the computational performance

Workplan action

Wikipage: wiki:2020WP/HPC-09_epico_Loop_fusion

Commit History (11)

ChangesetAuthorTimeChangeLog
13922francesca2020-11-30T15:09:01+01:00

bug fixing on loop-fusion branch - ticket #2367

13917francesca2020-11-30T12:29:45+01:00

Align loop-fusion branch with the trunk@13787 - ticket #2367

13905francesca2020-11-28T14:29:12+01:00

Align branch with the trunk@13747 - ticket #2367

13904francesca2020-11-28T13:28:02+01:00

bug fixing on traadv_fct (cases 4 and 41) - ticket #2367

13896francesca2020-11-27T12:24:52+01:00

Added key_loop_fusion to activate/deactivate the use of loop fusion in mus and fct advection schemes - ticket #2367

13882francesca2020-11-26T10:52:00+01:00

loop fusion v2 - mus and fct advection schemes - ticket #2367

13881francesca2020-11-26T10:40:14+01:00

loop fusion v1 - mus and fct advection schemes - ticket #2367

13707francesca2020-10-29T15:55:43+01:00

Create HPC-09 loop fusion branch - ticket #2367

13701francesca2020-10-29T12:17:52+01:00

end of cleanup of the TRA modules - ticket #2367

13660francesca2020-10-22T12:47:32+02:00

communications cleanup of the TRA modules - ticket #2367

13523francesca2020-09-25T13:25:27+02:00

Create HPC-09 branch - ticket #2367

Attachments (1)

comm_cleanup.pdf (126.1 KB) - added by francesca 2 years ago.

Download all attachments as: .zip

Change History (14)

comment:1 Changed 2 years ago by francesca

In 13523:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:2 Changed 2 years ago by francesca

In 13660:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:3 Changed 2 years ago by francesca

In 13701:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

Changed 2 years ago by francesca

comment:4 Changed 2 years ago by francesca

In 13707:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:5 Changed 2 years ago by francesca

In 13881:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:6 Changed 2 years ago by francesca

In 13882:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:7 Changed 2 years ago by francesca

In 13896:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:8 Changed 2 years ago by francesca

In 13904:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:9 Changed 2 years ago by francesca

In 13905:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:10 Changed 2 years ago by francesca

In 13917:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:11 Changed 2 years ago by francesca

In 13922:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:12 Changed 23 months ago by francesca

  • Resolution set to fixed
  • Status changed from new to closed
  • wp_comment changed from Started in 2020 to Merged into trunk at [13982]

comment:13 Changed 10 months ago by nemo

  • Keywords 2020 WP added; 2020WP removed
Note: See TracTickets for help on using tickets.